package com.jdc.jdcproject.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * <p>
 * 电铲
 * </p>
 *
 * @author haoyanlu
 * @since 2025-04-26
 */
@TableName("diceke_shovel")
@Schema(name = "DicekeShovel", description = "电铲")
@Data
public class DicekeShovel implements Serializable {

    private static final long serialVersionUID = 1L;

    @Schema(description = "电铲ID")
    @TableId("ShovelID")
    private String shovelID;

    @Schema(description = "电铲名称（如 08#、挖机）")
    private String shovelCode;

    @Schema(description = "属性（是自营还是外委）")
    private Integer attribute;

    @Override
    public String toString() {
        return "DicekeShovel{" +
        "shovelID = " + shovelID +
        ", shovelCode = " + shovelCode +
        ", attribute = " + attribute +
        "}";
    }
}
